Package org.eclipse.net4j.util.ui.container

## Class ElementWizard

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.ui.container.ElementWizard

- All Implemented Interfaces:
    `INotifier`, `INotifier.INotifier2`, `IElementWizard`, `ValidationContext`

      public abstract class ElementWizard
      extends Notifier
      implements IElementWizard, ValidationContext

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.ui.ValidationContext

      `ValidationContext.Aggregator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ElementWizard()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Combo` | `addCombo​(Composite parent, java.lang.String label, java.lang.String... choices)` |
    `static Combo` | `addCombo​(Composite parent, java.lang.String label, java.util.List<java.lang.String> choices)` |
    `static Label` | `addLabel​(Composite parent, java.lang.String label)` |
    `static Text` | `addText​(Composite parent, java.lang.String label)` |
    `protected abstract void` | `create​(Composite parent)` |
    `void` | `create​(Composite parent, IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String defaultDescription, ValidationContext context)` |
    `protected IManagedContainer` | `getContainer()` |
    `protected java.lang.String` | `getDefaultDescription()` |
    `protected java.lang.String` | `getFactoryType()` |
    `protected java.lang.String` | `getProductGroup()` |
    `java.lang.String` | `getResultDescription()` |
    `java.lang.Object` | `getResultElement()` |
    `protected void` | `setResultDescription​(java.lang.String resultDescription)` |
    `void` | `setValidationError​(java.lang.Object source, java.lang.String message)` |

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementWizard

          public ElementWizard()

  - ### Method Detail

    - #### getContainer

          protected IManagedContainer getContainer()

    - #### getProductGroup

          protected java.lang.String getProductGroup()

    - #### getFactoryType

          protected java.lang.String getFactoryType()

    - #### getDefaultDescription

          protected java.lang.String getDefaultDescription()

    - #### getResultDescription

          public java.lang.String getResultDescription()

      Specified by:
        `getResultDescription` in interface `IElementWizard`

    - #### getResultElement

          public java.lang.Object getResultElement()

      Specified by:
        `getResultElement` in interface `IElementWizard`

    - #### create

          public void create​(Composite parent,
                             IManagedContainer container,
                             java.lang.String productGroup,
                             java.lang.String factoryType,
                             java.lang.String defaultDescription,
                             ValidationContext context)

      Specified by:
        `create` in interface `IElementWizard`

    - #### setResultDescription

          protected void setResultDescription​(java.lang.String resultDescription)

    - #### setValidationError

          public void setValidationError​(java.lang.Object source,
                                         java.lang.String message)

      Specified by:
        `setValidationError` in interface `ValidationContext`

    - #### create

          protected abstract void create​(Composite parent)

    - #### addLabel

          public static Label addLabel​(Composite parent,
                                       java.lang.String label)

    - #### addText

          public static Text addText​(Composite parent,
                                     java.lang.String label)

    - #### addCombo

          public static Combo addCombo​(Composite parent,
                                       java.lang.String label,
                                       java.util.List<java.lang.String> choices)

      Since:
        3.2

    - #### addCombo

          public static Combo addCombo​(Composite parent,
                                       java.lang.String label,
                                       java.lang.String... choices)